<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Skeleton</title>
    <script type="text/javascript" src="lib/three.js"></script>
    <script type="text/javascript" src="lib/GLTFLoader.js"></script>
    <script type="text/javascript" src="lib/OrbitControls.js"></script>
    <script type="text/javascript" src="lib/OBJLoader.js"></script>
    <script type="text/javascript" src="lib/MTLLoader.js"></script>
    <script type="text/javascript" src="lib/inflate.min.js"></script>
    <script type="text/javascript" src="lib/FBXLoader.js"></script>


    <style>
        body {
            /* set margin to 0 and overflow to hidden, to go fullScreen */
            margin: 0;
            overflow: hidden;
        }
    </style>
</head>
<body>

<!-- Div which will hold the Output -->
<div id="WebGL-output">
</div>

<script type="text/javascript">

    var scene, camera, renderer;
    var controls;
    var model;
    var models = [];
    var texture;
    init();
    animate();


    // once everything is loaded, we run our Three.js stuff.
    function init() {

        // create a scene, that will hold all our elements such as objects, cameras and lights.
        scene = new THREE.Scene();

        // create a camera, which defines where we're looking at.
        camera = new THREE.PerspectiveCamera(75, window.innerWidth / window.innerHeight, 0.1, 50000);

        // position and point the camera to the center of the scene
        camera.position.set(-11, 5, 3);
        camera.lookAt(scene.position);

        // create a render and set the size
        renderer = new THREE.WebGLRenderer({antialias: true});

        renderer.setClearColor(new THREE.Color(0x000000));
        renderer.setSize(window.innerWidth, window.innerHeight);
        document.body.appendChild(renderer.domElement);


        //  Add  ambient lighting
        var ambiColor = "#ffffff";
        var ambientLight = new THREE.AmbientLight(ambiColor, 1);
        scene.add(ambientLight);

        directionalLight = new THREE.DirectionalLight(0xaaaaaa, 0.8);
        directionalLight.position.set(1, 1, 0).normalize();
        scene.add(directionalLight);

        //  Creates a new PointLight.
        pointLight = new THREE.PointLight(0xcccccc, 0.7);
        pointLight.position.set(-20, 20, 0);
        scene.add(pointLight);

        //Surface
        var surfaceGeometry = new THREE.PlaneGeometry(300, 350);
        var surfaceMaterial = new THREE.MeshStandardMaterial({color: 0xcccccc, side: THREE.DoubleSide});
        var surfaceMesh = new THREE.Mesh(surfaceGeometry, surfaceMaterial);
        surfaceMesh.rotateX(Math.PI / 2);
        surfaceMesh.position.y = -50;
        scene.add(surfaceMesh);


        texture = new THREE.TextureLoader().load('texture/earth.jpg');


        controls = new THREE.OrbitControls(camera, renderer.domElement);

        //  Enable animation loop when using damping or autorotation
        controls.enableDamping = true;
        controls.dampingFactor = 0.25;


        /*      var mtlLoader = new THREE.MTLLoader();
              mtlLoader.setPath('model/teapot test/');
              mtlLoader.load('1stOBJ1.mtl', function (materials) {

                  materials.preload();

                  var objLoader = new THREE.OBJLoader();
                  objLoader.setMaterials(materials);
                  objLoader.setPath('model/teapot test/');
                  objLoader.load('1stOBJ1.obj', function (object) {

                      object.scale.set(0.1, 0.1, 0.1);
                      scene.add(object);
                  });
              });*/

        /*    var loader = new THREE.FBXLoader();

            //loader.setTexturePath('model/gltf/bedroom-interior/texture/');
            loader.load('model/gltf/bedroom-interior/source/Master bedroom.fbx',function(obj){

                scene.add(obj)

            },undefined, function ( e ) {

                console.error( e );

            } );*/
        var loader = new THREE.GLTFLoader();

        loader.load('model/gltf/big_room/scene.gltf', function (gltf) {

            model = gltf;
            scene.add(model.scene);

            model.scene.traverse(function (mesh) {
                if (mesh instanceof THREE.Mesh) {

                    models.push(mesh);
                }

            });
         /*   console.log(models);
            var par = 2;
            models.forEach(function (value) {

                value.position.y = par;

                par+=3;
            })*/

        }, undefined, function (error) {

            console.error(error);

        });


    }

    function animate() {

        // render the scene

        requestAnimationFrame(animate);

        renderer.render(scene, camera);


        controls.update();


    }

</script>
</body>
</html>